# Namespace: name

## faker. name

### Methods

#### <static> findName(firstName, lastName, gender)

  findName

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `firstName` | string |
  `lastName` | string |
  `gender` | mixed |

#### <static> firstName(gender)

  firstName

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `gender` | mixed |

#### <static> jobArea()

  jobArea

#### <static> jobDescriptor()

  jobDescriptor

#### <static> jobTitle()

  jobTitle

#### <static> jobType()

  jobType

#### <static> lastName(gender)

  lastName

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `gender` | mixed |

#### <static> prefix(gender)

  prefix

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `gender` | mixed |

#### <static> suffix()

  suffix

#### <static> title()

  title

#### Search results